
QGIS Application - Feature request #565

Do not render features or their labels if their classification value doesn't match a symbol's 

lower/upper range.

2007-02-01 12:42 PM - billy-silverbaseball-com -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10624

Description

[[QgsVectorLayer]] calls the renderer to have it determine the pen, brush and/or marker to use to draw the feature. The Gradient renderer

checks to see if the value falls in the certain value range and returns no pen and no brush, but returns a marker. This makes the symbol

render using the default marker. Added a boolean function that sees if the feature falls in the range of any symbol. If not, bypass any

drawFeature or drawLabel call for that feature.

The common code that gets the first symbol that the feature's value falls in I moved to a private function.

History

#1 - 2007-02-03 03:13 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Thank you for this patch. I applied it to svn (). I will also make similar changes to svn head where this change is also important for the unique value

renderer (because in head it is possible to remove values from unique value renderers).

Marco

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

ranged_gradient_render.diff 6.32 KB 2007-02-01 billy-silverbaseball-com -
